#pragma once

#include "datatable/validator/AbstractRecordValidator.h"
#include "util/Pointers.h"

class KeyFieldsValidator : public AbstractRecordValidator
{
public:
    KeyFieldsValidator();
    KeyFieldsValidator(const AgString& source);
    virtual AgString encode();
    virtual char getType();
    virtual void validate(DataTablePtr table, DataRecordPtr record);
    virtual KeyFieldsValidator *clone();
};
